Skip to content

Results are limited to the current section: Cloud services

Product news

Get All Batches

GET
/api/v1/batches
curl --request GET \
--url 'https://example.com/api/v1/batches?order_by=created_at&order_by_direction=ASC&limit=100&offset=0' \
--header 'Authorization: Bearer <token>'

Retrieve a paginated list of all batches for the authenticated user.

Supports ordering, pagination, and filtering via query parameters.

Returns: A paginated collection of batches with job status counts.

order_by
Order By
string
default: created_at
order_by_direction
SortDirection
string
default: DESC
Allowed values: ASC DESC
limit
Limit
integer
default: 100 > 0 < 101
offset
Offset
integer
0
id
Any of:
Array<string>

Unique id for the batch

id__starts_with
Any of:
string

First characters of the batch id

project_id
Any of:
Array<string>

Owner project of the batch

user_id
Any of:
Array<string>

Owner user of the batch

device_type
Any of:
Array<string>

Device type enum

status
Any of:
Array<string>
Allowed values: PENDING RUNNING DONE CANCELED CANCELING TIMED_OUT ERROR PAUSED

Batch status type enum

complete
deprecated
Any of:
boolean

Deprecated. Use open instead.

open
Any of:
boolean

Filter by whether the batch is still open.

min_jobs
Any of:
integer

Minimum number of jobs in the batch

max_jobs
Any of:
integer

Maximum number of jobs in the batch

start_date
Any of:
string format: date-time

Time when the emulator or QPU indicated a batch was started

end_date
Any of:
string format: date-time

Time when the emulator or QPU indicated a batch finished, failed or was cancelled

queue_priority
Any of:
Array<string>
Allowed values: CRITICAL HIGH MEDIUM LOW FREE

Priority of the batch in the queue.

tag
Any of:
string

Tag used to identify the batch

Successful Response

Media typeapplication/json
HeaderPaginatedResponse[ProducedBatchResponse]
object
status
JSendStatus
string
default: success
Allowed values: success fail error
message
Message
string
default: OK.
code
Code
string
default: 200
data
required
Data
Array
pagination
required
JSendPagination

Pagination information

object
total
required
Total
integer
start
required
Start
integer
end
required
End
integer
Example
{
"status": "success",
"message": "OK.",
"code": "200"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}